Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalIconFactory.FolderIcon16

    java.lang.Object
      javax.swing.plaf.metal.MetalIconFactory.FolderIcon16

All Implemented Interfaces:
  Serializable, Icon

Direct Known Subclasses:
  MetalIconFactory.TreeFolderIcon

Enclosing class:
  MetalIconFactory

    public static class MetalIconFactory.FolderIcon16

extends Object
implements Icon, Serializable

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Constructor Summary
`MetalIconFactory.FolderIcon16()`

Method Summary
`int` | `getAdditionalHeight()`
`int` | `getIconHeight()` Returns the icon's height.
`int` | `getIconWidth()` Returns the icon's width.
`int` | `getShift()`
`void` | `paintIcon(Component c, Graphics g, int x, int y)` Draw the icon at the specified location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalIconFactory.FolderIcon16

    public MetalIconFactory.FolderIcon16()

Method Detail

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

  Description copied from interface: `Icon`
  Draw the icon at the specified location. Icon implementations may use the Component argument to get properties useful for painting, e.g. the foreground or background color.

  Specified by:
    `paintIcon` in interface `Icon`

### getShift

    public int getShift()

### getAdditionalHeight

    public int getAdditionalHeight()

### getIconWidth

    public int getIconWidth()

  Description copied from interface: `Icon`
  Returns the icon's width.

  Specified by:
    `getIconWidth` in interface `Icon`
  Returns:
    an int specifying the fixed width of the icon.

### getIconHeight

    public int getIconHeight()

  Description copied from interface: `Icon`
  Returns the icon's height.

  Specified by:
    `getIconHeight` in interface `Icon`
  Returns:
    an int specifying the fixed height of the icon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.